﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;
using CG2.Rendering;

namespace CG2.Lighting
{
    public class Light
    {
        #region Properties

        // ToDo: declare light Intensity
        public Double Intensity;

        // ToDo: declare Diffuse, Specular and Ambient light colors
        public Vector4 DiffuseColor = new Vector4(1, 1, 1);
        public Vector4 SpecularColor = new Vector4(1, 1, 1);
        public Vector4 AmbientColor = new Vector4(1, 1, 1);

        #endregion

        #region Lighting

        public virtual Double GetIntensityAt(Vector4 point)
        {
            return 0;
        }

        public virtual void SetLightRayAt(Vector4 point, Ray ray)
        {
        }

        #endregion
    }
}
