﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;

namespace CG2.Texturing
{
	public class PlaneMapping : TextureMapping
	{
		#region Properties

        // Declare Origin of mapping plane
		public Vector4 Origin;

        // Declare U and V direction vectors of plane
		public Vector4 U;
		public Vector4 V;
        
		protected Vector4 n;
		protected Double uu, vv, uv, k;

		#endregion


		#region Init

		public PlaneMapping(Vector4 origin, Vector4 u, Vector4 v)
		{
            // Init given parameters
			Origin = origin;
			U = u;
			V = v;

            // ToDo: Precompute uu, vv, uv, k, n (see mesh ray intersection)
		}

		#endregion


		#region Mapping

		public override Vector4 GetCoords(Vector4 point)
		{
            // ToDo: Calculate sampling coordinates for given point based on the plane mapping
			
            // Hint: As a result return Offset plus your calculation
            return Offset + Vector4.Zero;
		}

		#endregion
	}
}
