﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;

namespace CG2.Texturing
{
	public class Sampler
	{
        /// <summary>
        /// Sample color at given sampling coordinates
        /// </summary>
        /// <param name="uvw">Given sampling coordinates</param>
        /// <returns>Sampled color at sampling coordinates</returns>
		public virtual Vector4 GetSample(Vector4 point)
		{
			return Vector4.Zero;
		}
	}
}
