﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;

namespace CG2.Texturing
{
	public class TextureMapping
	{
		public Vector4 Offset = Vector4.Zero;

        /// <summary>
        /// Calculates sampling coordinates for given point
        /// </summary>
        /// <param name="point">Given point for sampling</param>
        /// <returns>Sampling coordinates of given point</returns>
		public virtual Vector4 GetCoords(Vector4 point)
		{
			return Offset + point;
		}
	}
}
