﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Rendering;
using CG2.Mathematics;
using CG2.Shading;

namespace CG2.Modeling
{
	public class Model
	{
		#region Properties

        // Model no longer has a color value - use shader instead
        public Shader Shader;

        public Ray Ray;

		#endregion

		#region Ray Tracing

		public virtual void Collide(Ray ray)
		{
		}

		#endregion
	}
}
