﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;

namespace CG2.Texturing
{
	public class SphereMapping : TextureMapping
	{
		#region Properties

        // Declare Origin of mapping sphere
		public Vector4 Origin = Vector4.Zero;

        // Declare X,Y,Z being local axes of sphere
		public Vector4 X = Vector4.UnitX;
		public Vector4 Y = Vector4.UnitY;
		public Vector4 Z = Vector4.UnitZ;
        
        // Declare Scale being scaling factor of sampling coordinates in U and V
		public Vector4 Scale = new Vector4(1, 1, 1);

		#endregion


		#region Init

		public SphereMapping(Vector4 origin, Vector4 x, Vector4 y)
		{
            // Todo: Init given parameters and calculate Z being perpendicular to x and y
			// Hint: |X| = 1 and |Z| = 1 -> |Y| = 1
		}

		#endregion


		#region Mapping

		public override Vector4 GetCoords(Vector4 point)
		{
            // ToDo: Calculate sampling coordinates for given point based on the sphere mapping
            // Hint: Calculate vector r as point - origin
            //       Project r into local X,Y,Z space
            //       Calculate theta and phi according to r
            //       Result should be due to angles theta, phi and scale of mapping

            // Hint: As a result return Offset plus your calculation
            return Offset + Vector4.Zero;
		}

		#endregion
	}
}
